Retrieve JWT IdP configuration

Retrieves the details of a specific JWT-based Identity Provider (IdP) configuration for the Tenant using the AppName, including algorithms, mapping, and endpoints associated with the application.

GET
/v2/manage/jwt-clients/{jwtClientName}

Retrieves the details of a specific JWT-based Identity Provider (IdP) configuration for the Tenant using the AppName, including algorithms, mapping, and endpoints associated with the application.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

jwtClientName*string

JWT Client Name

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/jwt-clients/my-jwt-client"
{
  "AppName": "jwtapp"
}
{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "Description": "JWT configuration not found or the resource does not exist.",
  "ErrorCode": 7958,
  "Message": "JWT configuration not found"
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}